curl -X GET "https://apolloai.lol/v1/health"
import requests
url = "https://apolloai.lol/v1/health"
response = requests.get(url)
print(response.json())
fetch("https://apolloai.lol/v1/health")
.then(response => response.json())
.then(console.log);
package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://apolloai.lol/v1/health"
resp, _ := http.Get(url)
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
public class Main {
public static void main(String[] args) throws Exception {
String url = "https://apolloai.lol/v1/health";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.GET()
.build();
client.sendAsync(request, BodyHandlers.ofString())
.thenApply(HttpResponse::body)
.thenAccept(System.out::println)
.join();
}
}
require 'uri'
require 'net/http'
url = URI("https://apolloai.lol/v1/health")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body
#include <stdio.h>
#include <curl/curl.h>
int main(void) {
CURL *curl;
CURLcode res;
curl = curl_easy_init();
if(curl) {
curl_easy_setopt(curl, CURLOPT_URL, "https://apolloai.lol/v1/health");
res = curl_easy_perform(curl);
curl_easy_cleanup(curl);
}
return 0;
}
use reqwest::Client;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let client = Client::new();
let res = client.get("https://apolloai.lol/v1/health")
.send()
.await?;
let body = res.text().await?;
println!("{}", body);
Ok(())
}
{
"status": "success",
"latency": "1.23ms",
"timestamp": "2024-01-27T23:32:17.000Z"
}
System
Health Check
Check the health and latency of the API
GET
/
v1
/
health
curl -X GET "https://apolloai.lol/v1/health"
import requests
url = "https://apolloai.lol/v1/health"
response = requests.get(url)
print(response.json())
fetch("https://apolloai.lol/v1/health")
.then(response => response.json())
.then(console.log);
package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://apolloai.lol/v1/health"
resp, _ := http.Get(url)
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
public class Main {
public static void main(String[] args) throws Exception {
String url = "https://apolloai.lol/v1/health";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.GET()
.build();
client.sendAsync(request, BodyHandlers.ofString())
.thenApply(HttpResponse::body)
.thenAccept(System.out::println)
.join();
}
}
require 'uri'
require 'net/http'
url = URI("https://apolloai.lol/v1/health")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body
#include <stdio.h>
#include <curl/curl.h>
int main(void) {
CURL *curl;
CURLcode res;
curl = curl_easy_init();
if(curl) {
curl_easy_setopt(curl, CURLOPT_URL, "https://apolloai.lol/v1/health");
res = curl_easy_perform(curl);
curl_easy_cleanup(curl);
}
return 0;
}
use reqwest::Client;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let client = Client::new();
let res = client.get("https://apolloai.lol/v1/health")
.send()
.await?;
let body = res.text().await?;
println!("{}", body);
Ok(())
}
{
"status": "success",
"latency": "1.23ms",
"timestamp": "2024-01-27T23:32:17.000Z"
}
Retrieve the current status of the API, along with latency and timestamp information.
Headers
Response
curl -X GET "https://apolloai.lol/v1/health"
import requests
url = "https://apolloai.lol/v1/health"
response = requests.get(url)
print(response.json())
fetch("https://apolloai.lol/v1/health")
.then(response => response.json())
.then(console.log);
package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://apolloai.lol/v1/health"
resp, _ := http.Get(url)
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
public class Main {
public static void main(String[] args) throws Exception {
String url = "https://apolloai.lol/v1/health";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.GET()
.build();
client.sendAsync(request, BodyHandlers.ofString())
.thenApply(HttpResponse::body)
.thenAccept(System.out::println)
.join();
}
}
require 'uri'
require 'net/http'
url = URI("https://apolloai.lol/v1/health")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body
#include <stdio.h>
#include <curl/curl.h>
int main(void) {
CURL *curl;
CURLcode res;
curl = curl_easy_init();
if(curl) {
curl_easy_setopt(curl, CURLOPT_URL, "https://apolloai.lol/v1/health");
res = curl_easy_perform(curl);
curl_easy_cleanup(curl);
}
return 0;
}
use reqwest::Client;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let client = Client::new();
let res = client.get("https://apolloai.lol/v1/health")
.send()
.await?;
let body = res.text().await?;
println!("{}", body);
Ok(())
}
{
"status": "success",
"latency": "1.23ms",
"timestamp": "2024-01-27T23:32:17.000Z"
}